kind: StatefulSet
apiVersion: apps/v1
metadata:
  annotations:
    checksum/credentialStore: da39a3ee5e6b4b0d3255bfef95601890afd80709
    openshift.io/display-name: Infinispan Cluster
    openshift.io/documentation-url: 'http://infinispan.org/documentation/'
  resourceVersion: '78465'
  name: example-infinispan
  uid: 72792ee1-e074-4a81-930e-97ab1eaa0bbb
  creationTimestamp: '2023-03-24T16:08:03Z'
  generation: 2
    - manager: kube-controller-manager
      operation: Update
      apiVersion: apps/v1
      time: '2023-03-24T16:20:50Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:observedGeneration': {}
      subresource: status
  namespace: openshift-operators
  ownerReferences:
    - apiVersion: infinispan.org/v1
      kind: Infinispan
      name: example-infinispan
      uid: 6571be84-f395-42be-b76f-0abb3d0cfaf2
      controller: true
      blockOwnerDeletion: true
spec:
  replicas: 3
  selector:
    matchLabels:
      com.redhat.product-name: Red_Hat_Runtimes
      app: infinispan-pod
      com.redhat.component-type: application
      infinispan_cr: example-infinispan
      com.redhat.product-version: 2023-Q1
      clusterName: example-infinispan
      app.kubernetes.io/created-by: example-infinispan
      com.redhat.component-version: 8.4.1
      com.redhat.component-name: Data_Grid
  template:
    metadata:
      creationTimestamp: null
      labels:
        com.redhat.product-name: Red_Hat_Runtimes
        app: infinispan-pod
        com.redhat.component-type: application
        infinispan_cr: example-infinispan
        com.redhat.product-version: 2023-Q1
        clusterName: example-infinispan
        app.kubernetes.io/created-by: example-infinispan
        com.redhat.component-version: 8.4.1
        com.redhat.component-name: Data_Grid
      annotations:
        updateDate: '2023-03-24 16:08:03.57570909 +0000 UTC m=+43.125677786'
    spec:
      volumes:
        - name: config-volume
          configMap:
            name: example-infinispan-configuration
            defaultMode: 420
        - name: infinispan-security-volume
          secret:
            secretName: example-infinispan-infinispan-security
            defaultMode: 420
        - name: identities-volume
          secret:
            secretName: example-infinispan-generated-secret
            defaultMode: 420
        - name: encrypt-volume
          secret:
            secretName: example-infinispan-cert-secret
            defaultMode: 420
      containers:
        - resources:
            limits:
              memory: 1Gi
            requests:
              memory: 1Gi
          readinessProbe:
            httpGet:
              path: rest/v2/cache-managers/default/health/status
              port: 11223
              scheme: HTTP
            timeoutSeconds: 80
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 5
          terminationMessagePath: /dev/termination-log
          name: infinispan
          livenessProbe:
            httpGet:
              path: rest/v2/cache-managers/default/health/status
              port: 11223
              scheme: HTTP
            timeoutSeconds: 80
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 5
          env:
            - name: MANAGED_ENV
              value: 'TRUE'
            - name: JAVA_OPTIONS
              value: >-
                -Xmx200M -Xms200M -XX:MaxRAM=420M
                -Dsun.zip.disableMemoryMapping=true -XX:+UseSerialGC
                -XX:MinHeapFreeRatio=5 -XX:MaxHeapFreeRatio=10 
            - name: EXTRA_JAVA_OPTIONS
            - name: CLI_JAVA_OPTIONS
            - name: CONFIG_HASH
              value: 19d120748eb6960059b90614a0abfd055f1b3469
            - name: ADMIN_IDENTITIES_HASH
              value: 523d53a6f5b1238a8b775bae72d0177cb8456eff
            - name: IDENTITIES_BATCH
              value: /etc/security/conf/operator-security/identities.cli
            - name: IDENTITIES_HASH
              value: 2b609fbfa07b193c01cbe1a4f985b3520ca9c945
            - name: KEYSTORE_HASH
              value: >-
                d4c5e983b11c4055f1986c4145c986be7a39b905da39a3ee5e6b4b0d3255bfef95601890afd80709
          ports:
            - name: infinispan-adm
              containerPort: 11223
              protocol: TCP
            - name: ping
              containerPort: 8888
              protocol: TCP
            - name: infinispan
              containerPort: 11222
              protocol: TCP
          imagePullPolicy: IfNotPresent
          startupProbe:
            httpGet:
              path: rest/v2/cache-managers/default/health/status
              port: 11223
              scheme: HTTP
            initialDelaySeconds: 1
            timeoutSeconds: 80
            periodSeconds: 1
            successThreshold: 1
            failureThreshold: 600
          volumeMounts:
            - name: config-volume
              mountPath: /opt/infinispan/server/conf/operator
            - name: infinispan-security-volume
              mountPath: /etc/security/conf/operator-security
            - name: data-volume
              mountPath: /opt/infinispan/server/data
            - name: identities-volume
              mountPath: /etc/security/user
            - name: encrypt-volume
              mountPath: /etc/encrypt/keystore
          terminationMessagePolicy: File
          image: >-
            registry.redhat.io/datagrid/datagrid-8-rhel8@sha256:24cf79efa89bbfa495665b1711a27531b7ab0813695a89b2c38c96c2e792eb24
          args:
            - '-l'
            - /opt/infinispan/server/conf/operator/log4j.xml
            - '-c'
            - operator/infinispan-base.xml
            - '-c'
            - operator/infinispan-admin.xml
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: ClusterFirst
      securityContext: {}
      affinity:
        podAntiAffinity:
          preferredDuringSchedulingIgnoredDuringExecution:
            - weight: 100
              podAffinityTerm:
                labelSelector:
                  matchLabels:
                    app: infinispan-pod
                    clusterName: example-infinispan
                    infinispan_cr: example-infinispan
                topologyKey: kubernetes.io/hostname
      schedulerName: default-scheduler
  volumeClaimTemplates:
    - kind: PersistentVolumeClaim
      apiVersion: v1
      metadata:
        name: data-volume
        namespace: openshift-operators
        creationTimestamp: null
        ownerReferences:
          - apiVersion: infinispan.org/v1
            kind: Infinispan
            name: example-infinispan
            uid: 6571be84-f395-42be-b76f-0abb3d0cfaf2
            controller: true
            blockOwnerDeletion: false
      spec:
        accessModes:
          - ReadWriteOnce
        resources:
          requests:
            storage: 1Gi
        volumeMode: Filesystem
      status:
        phase: Pending
  serviceName: ''
  podManagementPolicy: OrderedReady
  updateStrategy:
    type: RollingUpdate
  revisionHistoryLimit: 10
status:
  observedGeneration: 2
  replicas: 0
  currentRevision: example-infinispan-5564567998
  updateRevision: example-infinispan-5564567998
  collisionCount: 0
  availableReplicas: 0

